Hooks:PostHook( MenuComponentManager , "mouse_moved" , "TipsViewerMenuComponentManagerPostMouseMoved" , function( self , o , x , y )
	
	if TipsViewer._panel then
		self._tips_highlights = self._tips_highlights or {}
		
		if TipsViewer._prev and TipsViewer._next then
			if TipsViewer._prev:inside( x , y ) then
				if not self._tips_highlights[ "prev" ] then
					self._tips_highlights[ "prev" ] = true
					managers.menu_component:post_event( "highlight" )
					TipsViewer._prev:set_color( tweak_data.screen_colors.button_stage_2 )
				end
			elseif TipsViewer._next:inside( x , y ) then
				if not self._tips_highlights[ "next" ] then
					self._tips_highlights[ "next" ] = true
					managers.menu_component:post_event( "highlight" )
					TipsViewer._next:set_color( tweak_data.screen_colors.button_stage_2 )
				end
			else
				self._tips_highlights[ "prev" ] = nil
				self._tips_highlights[ "next" ] = nil
				TipsViewer._prev:set_color( tweak_data.screen_colors.button_stage_3 )
				TipsViewer._next:set_color( tweak_data.screen_colors.button_stage_3 )
			end
		end

		if TipsViewer._cprev and TipsViewer._cnext then
			if TipsViewer._cprev:inside( x , y ) then
				if not self._tips_highlights[ "cprev" ] then
					self._tips_highlights[ "cprev" ] = true
					managers.menu_component:post_event( "highlight" )
					TipsViewer._cprev:set_color( tweak_data.screen_colors.button_stage_2 )
				end
			elseif TipsViewer._cnext:inside( x , y ) then
				if not self._tips_highlights[ "cnext" ] then
					self._tips_highlights[ "cnext" ] = true
					managers.menu_component:post_event( "highlight" )
					TipsViewer._cnext:set_color( tweak_data.screen_colors.button_stage_2 )
				end
			else
				self._tips_highlights[ "cprev" ] = nil
				self._tips_highlights[ "cnext" ] = nil
				TipsViewer._cprev:set_color( tweak_data.screen_colors.button_stage_3 )
				TipsViewer._cnext:set_color( tweak_data.screen_colors.button_stage_3 )
			end
		end
	end

end )

Hooks:PostHook( MenuComponentManager , "mouse_pressed" , "TipsViewerMenuComponentManagerPostMousePressed" , function( self , o , button , x , y )

	if TipsViewer._panel then
		if button == Idstring( "0" ) then
			if TipsViewer._prev and TipsViewer._next then
				if TipsViewer._prev:inside( x , y ) then
					managers.menu_component:post_event( "selection_previous" )
					TipsViewer:SetPageIndex( -1 )
				elseif TipsViewer._next:inside( x , y ) then
					managers.menu_component:post_event( "selection_next" )
					TipsViewer:SetPageIndex( 1 )
				end
			end
			if TipsViewer._cprev and TipsViewer._cnext then
				if TipsViewer._cprev:inside( x , y ) then
					managers.menu_component:post_event( "selection_previous" )
					TipsViewer:SetCategoryIndex( -1 )
				elseif TipsViewer._cnext:inside( x , y ) then
					managers.menu_component:post_event( "selection_next" )
					TipsViewer:SetCategoryIndex( 1 )
				end
			end
		elseif button == Idstring( "mouse wheel down" ) then
			if TipsViewer._bg then
				if TipsViewer._bg:inside( x , y ) then
					TipsViewer:SetPageIndex( 1 )
				end
			end
		elseif button == Idstring( "mouse wheel up" ) then
			if TipsViewer._bg then
				if TipsViewer._bg:inside( x , y ) then
					TipsViewer:SetPageIndex( -1 )
				end
			end
		end
	end

end )